@ECHO OFF
SET ERRMSG=

:CHK_B0
SET ERRMSG=JUMP TO LDROM(B0)
AsrISP.exe /I 0 /ID 0x26CE01B0 /INFO
IF '%ERRORLEVEL%' NEQ '0' GOTO CHK_B1
GOTO U_ISP_0

:CHK_B1
SET ERRMSG=JUMP TO LDROM(B1--B0)
AsrISP.exe /I 0 /ID 0x26CE01B1 /INFO
IF '%ERRORLEVEL%' NEQ '0' GOTO CHK_B2
GOTO J_B1_LDROM

:CHK_B2
SET ERRMSG=JUMP TO APROM ISP(B2)
AsrISP.exe /I 0 /ID 0x26CE01B2 /INFO
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL
GOTO U_ISP_CFG

:J_B1_LDROM
SET ERRMSG=JUMP TO LDROM(B1)
AsrISP.exe /I 0 /ID 0x26CE01B1 /BS 1
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL
timeout /t 7 /nobreak
GOTO CHK_B0

:U_ISP_0
SET ERRMSG=CONVERT BIN(ISP)
FWCKSUM.exe OLED_APROM_ISP_01000000_210331_664F.bin 0x7F000
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL
GOTO U_ISP_1

:U_ISP_1
timeout /t 3 /nobreak
AsrISP.exe /I 0 /ID 0x26CE01B0 /UA OLED_APROM_ISP_01000000_210331_664F.bin.cksum
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL
GOTO U_ISP_CFG

:U_ISP_CFG
timeout /t 3 /nobreak
AsrISP.exe /I 0 /ID 0x26CE01B2 /UC 0xFFFFFFFE 0x0007F000
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL
GOTO U_LDROM

:U_LDROM
timeout /t 7 /nobreak
AsrISP.exe /I 0 /ID 0x26CE01B2 /UL OLED_LDROM_01000100_20210128_C8BA.bin
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL
GOTO U_LDROM_CFG

:U_LDROM_CFG
timeout /t 3 /nobreak
AsrISP.exe /I 0 /ID 0x26CE01B2 /UC 0xFFFFFF7E 0x0007F000
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL
GOTO J_LDROM

:J_LDROM
timeout /t 3 /nobreak
AsrISP.exe /I 0 /ID 0x26CE01B2 /BS 1
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL
GOTO U_APROM_0

:U_APROM_0
timeout /t 7 /nobreak
SET ERRMSG=CONVERT BIN(APROM)
FWCKSUM.exe OLED_APROM_01000100_20241108_C8C0.bin 0x7F000
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL
GOTO U_APROM_1

:U_APROM_1
timeout /t 3 /nobreak
SET ERRMSG=UPDATE APROM
AsrISP.exe /I 0 /ID 0x26CE01B0 /UA OLED_APROM_01000100_20241108_C8C0.bin.cksum
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL

:U_DATA
timeout /t 7 /nobreak
SET ERRMSG=JUMO TO LDROM
AsrISP.exe /I 0 /ID 0x26CE01B1 /BS 1
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL


timeout /t 7 /nobreak
SET ERRMSG=UPDATE DATA
AsrISP.exe /I 0 /ID 0x26CE01B0 /INFO /UD Z890_TAICHI_OCF_20240605_2612.dat
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL

REM timeout /t 7 /nobreak
REM SET ERRMSG=CLEAR OLD DATA
REM AsrISP.exe /I 0 /ID 0x26CE01B1 /CMD 0x00 0x55 0x00 0xAA

REM timeout /t 7 /nobreak
REM SET ERRMSG=CLEAR OLD DATA
REM AsrISP.exe /I 0 /ID 0x26CE01B1 /BS 2

timeout /t 7 /nobreak
SET ERRMSG=CHECK APROM VERSION
AsrISP.exe /I 0 /ID 0x26CE01B1 /CHKFWVER 0x01000100 0x20241108
IF '%ERRORLEVEL%' NEQ '0' GOTO FAIL

:PASS

ECHO *************************
ECHO        Update Pass
ECHO *************************
REM ECHO PPPPP    PP    PPPPP  PPPPP
REM ECHO P    P  P  P  P      P
REM ECHO PPPPP  P    P  PPPP   PPPP
REM ECHO P      PPPPPP      P      P
REM ECHO P      P    P PPPPP  PPPPP

GOTO EXIT

:FAIL
ECHO *************************
ECHO        Update Fail (%ERRMSG%)
ECHO *************************
REM ECHO FFFFFF   FF   FFFFF  F
REM ECHO F       F  F    F    F
REM ECHO FFF    F    F   F    F
REM ECHO F      FFFFFF   F    F
REM ECHO F      F    F FFFFF  FFFFFF

:EXIT
